summaryrefslogtreecommitdiff
path: root/qa/406
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/406
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/406')
-rwxr-xr-xqa/40635
1 files changed, 35 insertions, 0 deletions
diff --git a/qa/406 b/qa/406
new file mode 100755
index 0000000..51a7d32
--- /dev/null
+++ b/qa/406
@@ -0,0 +1,35 @@
+#!/bin/sh
+# PCP QA Test No. 406
+# exercise PM_MODE_INTERP with PM_TYPE_EVENT metrics
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+rm -f $seq.out
+if test $PCP_VER -ge 3609
+then
+ message=events
+ ln $seq.out.2 $seq.out
+else
+ message=error
+ ln $seq.out.1 $seq.out
+fi
+
+# real QA test starts here
+echo "Expect $message for each pmFetch ..."
+src/interp0 -t 0.5 -a src/eventrec-old sample.event.records
+
+# success, all done
+exit